%global momorel 4

Name:           perl-XML-Handler-Trees
Version:        0.02
Release: %{momorel}m%{?dist}
Summary:        PerlSAX handlers for building tree structures
License:        "Unknown"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-Handler-Trees/
Source0:        http://www.cpan.org/authors/id/E/EB/EBOHLMAN/XML-Handler-Trees-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
XML::Handler::Trees provides three PerlSAX handler classes for building
    tree structures. XML::Handler::Tree builds the same type of tree as the
    "Tree" style in XML::Parser. XML::Handler::EasyTree builds the same
    type of tree as the "EasyTree" style added to XML::Parser by
    XML::Parser::EasyTree. XML::Handler::TreeBuilder builds the same type
    of tree as Sean M. Burke's XML::TreeBuilder. These classes make it
    possible to construct these tree structures from sources other than
    XML::Parser.

%prep
%setup -q -n XML-Handler-Trees-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*




%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/XML/Handler/*
%{_mandir}/man3/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.02-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.02-3m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.02-2m)
- use vendor

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.02-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
